%define version 0.1
%define release 0.beta0
%define name smeserver-ooo-headless


Summary: Run a headless instance of OpenOffice.Org
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz

BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
BuildRequires: e-smith-devtools

Requires: e-smith-base >= 5.2.0
Requires: openoffice.org-headless
Requires: openoffice.org-writer
Requires: openoffice.org-impress
Requires: openoffice.org-calc
Requires: unoconv

%description
Run OpenOffice as a headless daemon. Can be used to convert
office document to PDF

%changelog
* Tue Nov 29 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.1
- initial release

%prep
%setup -q -n %{name}-%{version}

%build
%{__mkdir_p} root/var/log/ooo
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
   --file /var/service/ooo/run 'attr(0755,root,root)' \
   --file /var/service/ooo/log/run 'attr(0755,root,root)' \
   --dir /var/log/ooo 'attr(0750,smelog,smelog)' \
  > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if ! /usr/bin/id ooo &>/dev/null; then
    /usr/sbin/useradd -c 'OpenOffice.Org User' -s /sbin/nologin -r -d /var/cache/ooo -m ooo &>/dev/null || \
        %logmsg "Unexpected error adding user \"ooo\". Abort installation."
fi


%post

%preun

